/*********************************************************************
 * IBM Confidential
 *
 * OCO Source Materials
 * 
 * --SA4.1_PID--
 * Copyright IBM Corp. 2005, 2006, 2007, 2008
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what
 * been deposited with the U.S. Copyright Office. 
 *-----------------------------------------------                
 * Author: Thierry Supplisson
 * Created: 06/01/2005
 * Description:
 *   Script to create the admin packages
 *-----------------------------------------------                
 * MODIFICATION HISTORY
 * DATE        MODIFIED BY    MODIFICATION
 ********************************************************************/

CREATE OR REPLACE PACKAGE
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2000
  --     WM_DatePack.sql 1.8.0
  -- ------------------------------------------------------------------------
 ADM_Date IS

   -- ----------------------------------------
   FUNCTION WeekOffset RETURN INTEGER PARALLEL_ENABLE;

   PRAGMA RESTRICT_REFERENCES ( WeekOffset, WNDS );

   -- -----------------------------------------------------------------------
   FUNCTION trunc_to_last_period(tstamp DATE, period CHAR) RETURN DATE PARALLEL_ENABLE;

   PRAGMA RESTRICT_REFERENCES ( trunc_to_last_period, WNDS );

   -- -----------------------------------------------------------------------
   FUNCTION subtract_periods(tstamp DATE,
			     period CHAR,
			     n INTEGER DEFAULT 1) RETURN DATE PARALLEL_ENABLE;

   PRAGMA RESTRICT_REFERENCES ( subtract_periods, WNDS );

   -- -----------------------------------------------------------------------

   FUNCTION add_periods(tstamp DATE,
			period CHAR,
			n INTEGER DEFAULT 1) RETURN DATE  PARALLEL_ENABLE;

   PRAGMA RESTRICT_REFERENCES ( add_periods, WNDS );

   -- -----------------------------------------------------------------------
   FUNCTION period_to_name(period CHAR) RETURN VARCHAR2 PARALLEL_ENABLE;

   PRAGMA RESTRICT_REFERENCES ( period_to_name, WNDS );


   -- -----------------------------------------------------------------------
   FUNCTION calc_end_date(tstamp DATE,
			  period CHAR,
			  n INTEGER DEFAULT 1) RETURN DATE PARALLEL_ENABLE;

   PRAGMA RESTRICT_REFERENCES ( calc_end_date, WNDS );

   -- -----------------------------------------------------------------------

END ADM_Date;
/
SHOW ERROR
