/*********************************************************************
 * IBM Confidential
 *
 * OCO Source Materials
 * 
 * --SA4.1_PID--
 * Copyright IBM Corp. 2005, 2006, 2007, 2008
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what
 * been deposited with the U.S. Copyright Office. 
 *-----------------------------------------------				
 * Author: Surren Partabh
 * Created: 06/01/2005
 * Description:
 *   Script to create the system tables constraints.
 *-----------------------------------------------				
 * MODIFICATION HISTORY
* DATE		MODIFIED BY	MODIFICATION
 ********************************************************************/

/* This procedure analyzes a user's entire schema.  
The schema analyzed is the logged-in user's.  Should
be run after schema creation */

PROMPT Creating Procedure 'PROC_ANALYZE_SCHEMA'
CREATE OR REPLACE PROCEDURE proc_analyze_schema (
   v_degree             IN   NUMBER --degree of parallelism
)
IS
BEGIN
   DBMS_STATS.gather_schema_stats
                               (ownname                     => USER,
                                estimate_percent            => DBMS_STATS.AUTO_SAMPLE_SIZE,
                                CASCADE                     => TRUE,
                                DEGREE                      => '||v_degree||'
                               );
END;
/
SHOW ERROR
