/*********************************************************************
 * IBM Confidential
 *
 * OCO Source Materials
 * 
 * --SA4.1_PID--
 * Copyright IBM Corp. 2005, 2006, 2007, 2008
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what
 * been deposited with the U.S. Copyright Office. 
 ----------------------------------------------				
 * Author: Willie Duchenay
 * Created: 04/01/2005
 * Description:
 *   Script to create the tables necessary for administrative
 *   procedures of the database (error logging, partitioning,
 *   upgrade, etc...)
 ----------------------------------------------
 * Modification History
 * DATE		MODIFIED BY	MODIFICATION
 *******************************************************************/

/*
 * ldap DN vs Oracle User table
 *
 */
PROMPT Creating Table 'ADM_USER_DN'
CREATE TABLE adm_user_dn
(
dn   VARCHAR2(512) NOT NULL,
user_id VARCHAR2(30) NOT NULL,
granted NUMBER(1) DEFAULT 0
)
TABLESPACE transaction
STORAGE(PCTINCREASE 0) PCTUSED 95 PCTFREE 2
/

/*
 * Unique Key constaint on ADM_USER_DN table
 */
PROMPT Creating Unique Key on 'ADM_USER_DN'
ALTER TABLE adm_user_dn
         ADD
        (CONSTRAINT sa_uk_userdn_dn
        UNIQUE (dn)
        USING INDEX TABLESPACE trans_indx PCTFREE 1)
/

/*
 * Unique Key constaint on ADM_USER_DN table
 */
PROMPT Creating Unique Key on 'ADM_USER_DN'
ALTER TABLE adm_user_dn
         ADD
        (CONSTRAINT sa_uk_userdn_userid
        UNIQUE (user_id)
        USING INDEX TABLESPACE trans_indx PCTFREE 1)
/

