/*********************************************************************
 * IBM Confidential
 *
 * OCO Source Materials
 * 
 * --SA4.1_PID--
 * Copyright IBM Corp. 2005, 2006, 2007, 2008
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what
 * been deposited with the U.S. Copyright Office. 
 ----------------------------------------------				
 * Author: Willie Duchenay
 * Created: 04/01/2005
 * Description:
 *   Script to create the tables necessary for administrative
 *   procedures of the database (error logging, partitioning,
 *   upgrade, etc...)
 ----------------------------------------------
 * Modification History
 * DATE		MODIFIED BY	MODIFICATION
 *******************************************************************/

/*
 * Create Partition Maintenance schema Objects
 */
PROMPT Creating TABLE 'part_tables'
CREATE TABLE part_tables (
    part_table_id    INTEGER,
    table_name       VARCHAR2(30) NOT NULL,
    tablespace_name  VARCHAR2(30) NOT NULL,
    data_tablespace  VARCHAR2(30),
    index_tablespace VARCHAR2(30),
    period           CHAR(1) DEFAULT 'D' NOT NULL,
    data_retention   INTEGER,
    past_retention   INTEGER,
    future_retention INTEGER,
    global_sample_size NUMBER default 5,
    partition_sample_size NUMBER default 20,
    block_sample  CHAR(1) DEFAULT 'Y' NOT NULL,
       CONSTRAINT part_tables_block_sample_ck CHECK (block_sample IN ('Y', 'N')),
    needs_move       CHAR(1) DEFAULT 'N' NOT NULL,
       CONSTRAINT part_tables_needs_move_ck CHECK (needs_move IN ('Y', 'N')),
    needs_export     CHAR(1) DEFAULT 'N' NOT NULL,
       CONSTRAINT part_tables_needs_export_ck CHECK (needs_export IN ('Y', 'N')),
    needs_purge     CHAR(1) DEFAULT 'Y' NOT NULL,
       CONSTRAINT part_tables_needs_purge_ck CHECK (needs_purge IN ('Y', 'N')),
    needs_analyze    CHAR(1) DEFAULT 'Y' NOT NULL,
       CONSTRAINT part_tables_needs_analyze_ck CHECK (needs_analyze IN ('Y', 'N')),
    analyze_mask     CHAR(7) DEFAULT '1111111' NOT NULL,
       CONSTRAINT part_tables_analyze_mask_ck CHECK (regexp_like(analyze_mask, '[0,1]{7}')),
       CONSTRAINT pk_part_table PRIMARY KEY (part_table_id)
)
tablespace transaction;

PROMPT Creating INDEX 'unq_part_tables_n_idx'
CREATE UNIQUE INDEX unq_part_tables_n_idx
    ON part_tables(UPPER(table_name))
TABLESPACE trans_indx ;

