/*********************************************************************
 * IBM Confidential
 *
 * OCO Source Materials
 * 
 * --SA4.1_PID--
 * Copyright IBM Corp. 2005, 2006, 2007, 2008
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what
 * been deposited with the U.S. Copyright Office. 
 ----------------------------------------------				
 * Author: Willie Duchenay
 * Created: 04/01/2005
 * Description:
 *   Script to create the tables necessary for administrative
 *   procedures of the database (error logging, partitioning,
 *   upgrade, etc...)
 ----------------------------------------------
 * Modification History
 * DATE		MODIFIED BY	MODIFICATION
 *******************************************************************/

PROMPT Creating TABLE 'part_task'
CREATE TABLE part_task (
    job_id            INTEGER NOT NULL,
    task_id           INTEGER NOT NULL,
    status_code       INTEGER NOT NULL,
    operation         INTEGER NOT NULL,
    task_date         DATE NOT NULL,
    part_table_id     INTEGER NOT NULL,
    table_name        VARCHAR2(30) NOT NULL,
    tablespace_name   VARCHAR2(30) NOT NULL,
    data_retention    INTEGER,
    past_retention    INTEGER,
    future_retention  INTEGER,
    period            CHAR(1) NOT NULL,
    needs_move        CHAR(1) NOT NULL,
    needs_export      CHAR(1) NOT NULL,
    needs_purge       CHAR(1) NOT NULL,
    needs_analyze     CHAR(1) NOT NULL,
    analyze_mask      CHAR(7) NOT NULL,
    part_name         VARCHAR2(30),
    CONSTRAINT pk_part_task PRIMARY KEY (job_id, task_id),
    CONSTRAINT fk_part_task_task FOREIGN KEY (job_id, task_id)
        REFERENCES active_task(job_id, task_id) ON DELETE CASCADE
)
INITRANS 32
TABLESPACE transaction;

CREATE INDEX part_task_operation_idx
    ON part_task( job_id, task_id, operation )
INITRANS 32
TABLESPACE trans_indx;
