/*******************************************************************
 * IBM Confidential
 *
 * OCO Source Materials
 * 
 * --SA4.1_PID--
 * Copyright IBM Corp. 2005, 2006, 2007, 2008
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what
 * been deposited with the U.S. Copyright Office. 
*-----------------------------------------------				
* Author: Willie Duchenay
* Created: 04/01/2005
* Description:
*   Script to create the core partition maintenance views
*-----------------------------------------------	
* MODIFICATION HISTORY
* DATE		MODIFIED BY	MODIFICATION
******************************************************************/
PROMPT Creating VIEW 'PART_MAINT_PART_DETAILS_VW'
-- Partition Maintenance Views
CREATE OR REPLACE VIEW PART_MAINT_PART_DETAILS_VW
AS
        SELECT DISTINCT at.type, at.subtype "SUB_TYPE", at.subtype "TABLE_TYPE",
               p.part_table_id, p.table_name, utp.partition_name,
               TO_DATE(partition_date_str(utp.partition_name), 'YYYYMMDDHH24MI') partition_date
        FROM part_tables p, adm_tabtypes at, adm_tabtypes_map atm, user_tab_partitions utp
        WHERE p.table_name = utp.table_name
        AND atm.type_id = at.id
        AND atm.part_table_id=p.part_table_id;

