/*******************************************************************
 * IBM Confidential
 *
 * OCO Source Materials
 * 
 * --SA4.1_PID--
 * Copyright IBM Corp. 2005, 2006, 2007, 2008
 * The source code for this program is not published or otherwise 
 * divested of its trade secrets, irrespective of what
 * been deposited with the U.S. Copyright Office. 
*-----------------------------------------------				
* Author: Willie Duchenay
* Created: 04/01/2005
* Description:
*   Script to create the core partition maintenance views
*-----------------------------------------------	
* MODIFICATION HISTORY
* DATE		MODIFIED BY	MODIFICATION
******************************************************************/
PROMPT Creating VIEW 'PART_MAINT_PART_SUMMARY_VW'
-- Partition Maintenance Views
CREATE OR REPLACE VIEW PART_MAINT_PART_SUMMARY_VW
AS
         SELECT DISTINCT at.type, at.subtype "SUB_TYPE", at.subtype "TABLE_TYPE",
              p.part_table_id, p.table_name, p.tablespace_name,
              p.period, p.data_retention, p.past_retention, p.future_retention,
              min(utp.partition_name) min_part_name,
              max(utp.partition_name) max_part_name,
              min(TO_DATE(partition_date_str(utp.partition_name), 'YYYYMMDDHH24MI')) min_value,
              max(TO_DATE(partition_date_str(utp.partition_name), 'YYYYMMDDHH24MI')) max_value,
              count(TO_DATE(partition_date_str(utp.partition_name), 'YYYYMMDDHH24MI')) count_partitions
         FROM user_tab_partitions utp, part_tables p, adm_tabtypes at, adm_tabtypes_map atm
         WHERE p.table_name = utp.table_name
         AND atm.type_id = at.id
         AND atm.part_table_id=p.part_table_id
         AND p.data_retention is not null
         GROUP BY at.type, at.subtype, p.part_table_id, p.table_name, p.tablespace_name, p.period,
             p.data_retention, p.past_retention, p.future_retention;
