PROMPT Creating Table 'TXN_VOI_SVC'
DECLARE
sdate  VARCHAR2(128);
edate  VARCHAR2(128);
sqlStr VARCHAR2(1000);
BEGIN
select TO_CHAR(trunc(sysdate),'YYYYMMDDHH24MI') into sdate from dual;
select TO_CHAR((trunc(sysdate) + 1/96),'YYYYMMDDHH24MI') into edate from dual;


    sqlStr := 'CREATE TABLE TXN_VOI_SVC '
 || ' ( DATETIME DATE NOT NULL '
 || ' ,DATETIME_ID NUMBER NOT NULL '
 || ' ,IMSI NUMBER NOT NULL '
 || ' ,TECHNOLOGY VARCHAR2(8) NOT NULL '
 || ' ,DEVICETYPE VARCHAR2(60) NOT NULL '
 || ' ,SITENAME VARCHAR2(64) NOT NULL '
 || ' ,LOCATION VARCHAR2(110) NOT NULL '
 || ' ,TRANSACTION VARCHAR2(60) NOT NULL '
 || ' ,STATUS VARCHAR2(16) NOT NULL '
 || ' ,REASON VARCHAR2(64) '
 || ' ,COUNT NUMBER NOT NULL '
|| ' ) '
|| ' partition by range (DATETIME_ID) ( '
|| ' PARTITION PART_'||sdate||' VALUES LESS THAN '
|| ' ('||edate||') '
|| ' TABLESPACE transaction)';
  execute immediate sqlStr;
  end;
/


PROMPT Creating Table 'TXN_DATA_SVC'
DECLARE
sdate  VARCHAR2(128);
edate  VARCHAR2(128);
sqlStr VARCHAR2(1000);
BEGIN
select TO_CHAR(trunc(sysdate),'YYYYMMDDHH24MI') into sdate from dual;
select TO_CHAR((trunc(sysdate) + 1/96),'YYYYMMDDHH24MI') into edate from dual;


    sqlStr := 'CREATE TABLE TXN_DATA_SVC '
 || ' ( DATETIME DATE NOT NULL '
 || ' ,DATETIME_ID NUMBER NOT NULL '
 || ' ,IMSI NUMBER NOT NULL '
 || ' ,TECHNOLOGY VARCHAR2(10) NOT NULL '
 || ' ,DEVICETYPE VARCHAR2(60) NOT NULL '
 || ' ,SITENAME VARCHAR2(64) NOT NULL '
 || ' ,LOCATION VARCHAR2(110) NOT NULL '
 || ' ,TRANSACTION VARCHAR2(60) NOT NULL '
 || ' ,STATUS VARCHAR2(16) NOT NULL '
 || ' ,REASON VARCHAR2(64) '
 || ' ,APN VARCHAR2(64) '
 || ' ,COUNT NUMBER NOT NULL '
 || ' ,SERVICE VARCHAR2(15) '
|| ' ) '
|| ' partition by range (DATETIME_ID) ( '
|| ' PARTITION PART_'||sdate||' VALUES LESS THAN '
|| ' ('||edate||') '
|| ' TABLESPACE transaction)';
  execute immediate sqlStr;
  end;
/


PROMPT Creating Table 'TXN_SMS_SVC'
DECLARE
sdate  VARCHAR2(128);
edate  VARCHAR2(128);
sqlStr VARCHAR2(1000);
BEGIN
select TO_CHAR(trunc(sysdate),'YYYYMMDDHH24MI') into sdate from dual;
select TO_CHAR((trunc(sysdate) + 1/96),'YYYYMMDDHH24MI') into edate from dual;


    sqlStr := 'CREATE TABLE TXN_SMS_SVC '
 || ' ( DATETIME DATE NOT NULL '
 || ' ,DATETIME_ID NUMBER NOT NULL '
 || ' ,IMSI NUMBER NOT NULL '
 || ' ,DEVICETYPE VARCHAR2(60) NOT NULL '
 || ' ,TRANSACTION VARCHAR2(60) NOT NULL '
 || ' ,STATUS VARCHAR2(16) NOT NULL '
 || ' ,REASON VARCHAR2(64) '
 || ' ,COUNT NUMBER NOT NULL '
 || ' ,SERVICE VARCHAR2(15) NOT NULL '
|| ' ) '
|| ' partition by range (DATETIME_ID) ( '
|| ' PARTITION PART_'||sdate||' VALUES LESS THAN '
|| ' ('||edate||') '
|| ' TABLESPACE transaction)';
  execute immediate sqlStr;
  end;
/



PROMPT Creating Table 'TXN_MMS_SVC'
DECLARE
sdate  VARCHAR2(128);
edate  VARCHAR2(128);
sqlStr VARCHAR2(1000);
BEGIN
select TO_CHAR(trunc(sysdate),'YYYYMMDDHH24MI') into sdate from dual;
select TO_CHAR((trunc(sysdate) + 1/96),'YYYYMMDDHH24MI') into edate from dual;


    sqlStr := 'CREATE TABLE TXN_MMS_SVC '
 || ' ( DATETIME DATE NOT NULL '
 || ' ,DATETIME_ID NUMBER NOT NULL '
 || ' ,IMSI NUMBER NOT NULL '
 || ' ,DEVICETYPE VARCHAR2(60) NOT NULL '
 || ' ,TRANSACTION VARCHAR2(60) NOT NULL '
 || ' ,STATUS VARCHAR2(16) NOT NULL '
 || ' ,REASON VARCHAR2(64) '
 || ' ,COUNT NUMBER NOT NULL '
 || ' ,TECHNOLOGY VARCHAR2(10) '
 || ' ,SITENAME VARCHAR2(64) '
 || ' ,LOCATION VARCHAR2(110) '
 || ' ,APN VARCHAR2(64) '
 || ' ,SERVICE VARCHAR2(15) NOT NULL '
|| ' ) '
|| ' partition by range (DATETIME_ID) ( '
|| ' PARTITION PART_'||sdate||' VALUES LESS THAN '
|| ' ('||edate||') '
|| ' TABLESPACE transaction)';
  execute immediate sqlStr;
  end;
/

PROMPT Creating Table 'LAST_NW_STAMP'
CREATE TABLE LAST_NW_STAMP
  (
    IMSI NUMBER NOT NULL ENABLE,
    STAMP DATE NOT NULL ENABLE,
    SITENAME VARCHAR2(64 BYTE),
    CONSTRAINT IMSI_PK PRIMARY KEY(IMSI)
)
TABLESPACE transaction
/

PROMPT Creating Table 'LNK_SRC'
CREATE TABLE LNK_SRC
  (
    IMSI NUMBER NOT NULL ENABLE,
    STAMP DATE NOT NULL ENABLE,
    SITENAME VARCHAR2(64 BYTE),
    CONSTRAINT LNK_SRC_PK PRIMARY KEY(IMSI)
)
TABLESPACE transaction
/

PROMPT Creating Table 'TXN_SVC_ACTION'
CREATE TABLE TXN_SVC_ACTION
  (
    TRANSACTION_SERVICE VARCHAR2(25 BYTE) NOT NULL ENABLE,
    ACTION_SERVICE VARCHAR2(25 BYTE) NOT NULL ENABLE
)
TABLESPACE transaction
/


PROMPT Creating index 'TXN_VOI_SVC_IDX'
CREATE INDEX TXN_VOI_SVC_IDX ON
TXN_VOI_SVC (DATETIME,IMSI,STATUS)
TABLESPACE TRANS_INDX
PCTFREE 10 LOCAL
/

PROMPT Creating index 'TXN_DATA_SVC_IDX'
CREATE INDEX TXN_DATA_SVC_IDX ON
TXN_DATA_SVC (DATETIME,IMSI,STATUS)
TABLESPACE TRANS_INDX
PCTFREE 10 LOCAL
/

PROMPT Creating index 'TXN_SMS_SVC_IDX'
CREATE INDEX TXN_SMS_SVC_IDX ON
TXN_SMS_SVC (DATETIME,IMSI,STATUS)
TABLESPACE TRANS_INDX
PCTFREE 10 LOCAL
/

PROMPT Creating index 'TXN_MMS_SVC_IDX'
CREATE INDEX TXN_MMS_SVC_IDX ON
TXN_MMS_SVC (DATETIME,IMSI,STATUS)
TABLESPACE TRANS_INDX
PCTFREE 10 LOCAL
/

PROMPT Creating TABLE 'XREF_SVC_RSN_ACTN'
CREATE TABLE XREF_SVC_RSN_ACTN
  (
    SERVICE VARCHAR2(8 BYTE) NOT NULL ENABLE,
    REASON  VARCHAR2(64 BYTE),
    CAUSE   VARCHAR2(255 BYTE),
    ACTION  VARCHAR2(255 BYTE)
  )
TABLESPACE reference 
/

PROMPT Creating INDEX 'XREF_SVC_RSN_CAUSE_INDX'
CREATE INDEX XREF_SVC_RSN_CAUSE_INDX ON XREF_SVC_RSN_ACTN
  (
    CAUSE
  )
TABLESPACE ref_indx 
/

PROMPT Creating INDEX 'XREF_SVC_RSN_REASON_INDX'
CREATE INDEX XREF_SVC_RSN_REASON_INDX ON XREF_SVC_RSN_ACTN
  (
    REASON
  )
TABLESPACE ref_indx 
/

PROMPT Creating INDEX 'XREF_SVC_RSN_SERVICE_INDX'
CREATE INDEX XREF_SVC_RSN_SERVICE_INDX ON XREF_SVC_RSN_ACTN
  (
    SERVICE
  )
TABLESPACE ref_indx 
/

PROMPT Creating TABLE 'SYS_LOG_SVC'
CREATE TABLE SYS_LOG_SVC
  (
    SERVICE VARCHAR2(10 BYTE) NOT NULL ENABLE,
    FILEDATETIME DATE NOT NULL ENABLE,
    FILENAME VARCHAR2(50 BYTE) NOT NULL ENABLE,
    POPULATIONDATETIME DATE NOT NULL ENABLE,
    STATUS VARCHAR2(40 BYTE)
  )
TABLESPACE syslog 
/

PROMPT Creating INDEX 'SYS_LOG_SVC_FILEDATETIME_INDX'
CREATE INDEX SYS_LOG_SVC_FILEDATETIME_INDX ON SYS_LOG_SVC
  (
    FILEDATETIME
  )
TABLESPACE syslog_indx 
/

PROMPT Creating INDEX 'SYS_LOG_SVC_SERVICE_INDX'
CREATE INDEX SYS_LOG_SVC_SERVICE_INDX ON SYS_LOG_SVC
  (
    SERVICE
  )
TABLESPACE syslog_indx 
/
