CREATE OR REPLACE PUBLIC SYNONYM TXN_VOI_SVC FOR TXN_VOI_SVC
/
INSERT INTO part_tables  ( part_table_id, table_name, tablespace_name, period, data_retention, past_retention, future_retention )VALUES (seq_part_tables.NEXTVAL, 'TXN_VOI_SVC', 'TRANSACTION', 'Q', '192','96','192')
/
INSERT INTO adm_tabtypes_map (type_id, part_table_id) (SELECT id,part_table_id FROM adm_tabtypes at, part_tables pt WHERE at.type='TABLE' AND at.subtype=UPPER('ETLSERVER') AND pt.table_name='TXN_VOI_SVC')
/
CREATE OR REPLACE PUBLIC SYNONYM TXN_DATA_SVC FOR TXN_DATA_SVC
/
INSERT INTO part_tables  ( part_table_id, table_name, tablespace_name, period, data_retention, past_retention, future_retention )VALUES (seq_part_tables.NEXTVAL, 'TXN_DATA_SVC', 'TRANSACTION', 'Q', '192','96','192')
/
INSERT INTO adm_tabtypes_map (type_id, part_table_id) (SELECT id,part_table_id FROM adm_tabtypes at, part_tables pt WHERE at.type='TABLE' AND at.subtype=UPPER('ETLSERVER') AND pt.table_name='TXN_DATA_SVC')
/
CREATE OR REPLACE PUBLIC SYNONYM TXN_SMS_SVC FOR TXN_SMS_SVC
/
INSERT INTO part_tables  ( part_table_id, table_name, tablespace_name, period, data_retention, past_retention, future_retention )VALUES (seq_part_tables.NEXTVAL, 'TXN_SMS_SVC', 'TRANSACTION', 'Q', '192','96','192')
/
INSERT INTO adm_tabtypes_map (type_id, part_table_id) (SELECT id,part_table_id FROM adm_tabtypes at, part_tables pt WHERE at.type='TABLE' AND at.subtype=UPPER('ETLSERVER') AND pt.table_name='TXN_SMS_SVC')
/
CREATE OR REPLACE PUBLIC SYNONYM TXN_MMS_SVC FOR TXN_MMS_SVC
/
INSERT INTO part_tables  ( part_table_id, table_name, tablespace_name, period, data_retention, past_retention, future_retention )VALUES (seq_part_tables.NEXTVAL, 'TXN_MMS_SVC', 'TRANSACTION', 'Q', '192','96','192')
/
INSERT INTO adm_tabtypes_map (type_id, part_table_id) (SELECT id,part_table_id FROM adm_tabtypes at, part_tables pt WHERE at.type='TABLE' AND at.subtype=UPPER('ETLSERVER') AND pt.table_name='TXN_MMS_SVC')
/


INSERT INTO adm_system_variables (name, value) values ('PartMaintSessions', 1);
INSERT INTO adm_system_variables (name, value) values ('PartMaintAnalyzePct', 10);
INSERT INTO adm_system_variables (name, value) values ('PartMaintMaxRunTime', 21600);
INSERT INTO adm_system_variables (name, value) values ('PartMaintSortAreaSize', 10485760);
INSERT INTO adm_system_variables (name, value) values ('GlobalAnalyzePct', 5);
INSERT INTO adm_system_variables (name, value) values ('PartitionAnalyzePct', 20);
INSERT INTO adm_system_variables (name, value) values ('AnalyzeDegree', 4);
INSERT INTO adm_system_variables (name, value) values ('BlockSampling', 1);

--Populate ADM_TABTYPES table
INSERT INTO adm_tabtypes (id, type, subtype) VALUES (seq_adm_tabtypes.nextval, 'TABLE','TRAFFIC');
INSERT INTO adm_tabtypes (id, type, subtype) VALUES (seq_adm_tabtypes.nextval, 'TABLE','SUMDAILY');
INSERT INTO adm_tabtypes (id, type, subtype) VALUES (seq_adm_tabtypes.nextval, 'TABLE','SUMWEEKLY');
INSERT INTO adm_tabtypes (id, type, subtype) VALUES (seq_adm_tabtypes.nextval, 'TABLE','SUMMONTHLY');

--Populate ADM_TABTYPES_MAP table
INSERT INTO adm_tabtypes_map (type_id, part_table_id)
(SELECT id,part_table_id
 FROM adm_tabtypes at, part_tables pt
 WHERE at.subtype='TRAFFIC'
 AND pt.period='D' AND pt.table_name not like '%SUMMARY');

INSERT INTO adm_tabtypes_map (type_id, part_table_id)
(SELECT id,part_table_id
 FROM adm_tabtypes at, part_tables pt
 WHERE at.subtype='SUMDAILY'
 AND pt.period='D' AND pt.table_name like '%SUMMARY');

INSERT INTO adm_tabtypes_map (type_id, part_table_id)
(SELECT id,part_table_id
 FROM adm_tabtypes at, part_tables pt
 WHERE at.subtype='SUMWEEKLY'
 AND pt.period='W');

INSERT INTO adm_tabtypes_map (type_id, part_table_id)
(SELECT id,part_table_id
 FROM adm_tabtypes at, part_tables pt
 WHERE at.subtype='SUMMONTHLY'
 AND pt.period='M');

INSERT INTO TXN_SVC_ACTION(TRANSACTION_SERVICE,ACTION_SERVICE) VALUES('MMS_HSPA','Data');
INSERT INTO TXN_SVC_ACTION(TRANSACTION_SERVICE,ACTION_SERVICE) VALUES('MMS','MMS');
INSERT INTO TXN_SVC_ACTION(TRANSACTION_SERVICE,ACTION_SERVICE) VALUES('MMS_GPRS_GB','Data');
INSERT INTO TXN_SVC_ACTION(TRANSACTION_SERVICE,ACTION_SERVICE) VALUES('GPRS_GB','Data');
INSERT INTO TXN_SVC_ACTION(TRANSACTION_SERVICE,ACTION_SERVICE) VALUES('HSPA','Data');
INSERT INTO TXN_SVC_ACTION(TRANSACTION_SERVICE,ACTION_SERVICE) VALUES('Voice','Voice');
INSERT INTO TXN_SVC_ACTION(TRANSACTION_SERVICE,ACTION_SERVICE) VALUES('SMS','SMS');

commit;
